<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		juanfelipe.garcia / david.cifuentes 
@version 		1.0
@description 	Pantalla que integra los casos de uso de control de calidad y de actualizar inconsistencias geográficas.
@cu				Tab 2 - CU-NP-CO-206 - Realizar control de calidad en depuración
@cu				Tab 2 - CU-NP-CO-215 - Actualizar inconsistencias.

@modified leidy.gonzalez Se agrega columna de derecho de peticio o tutela                        
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                template="/templates/generalCU.xhtml"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                xmlns:tramite="http://java.sun.com/jsf/composite/tramite">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Control de calidad de depuración::.
    </ui:define>

    <ui:define name="content">

        <h:panelGrid columns="1" width="100%">
            <tramite:tramiteResumen id="tabsgridI"
                                    tramiteParam="#{controlCalidad.tramiteSeleccionado}"
                                    muestraClasificacionParam="true" muestraFechaRadicacionParam="true"
                                    muestraFechaSolicitudParam="true" muestraDerechoPeticionParam="true"/>
            <h:panelGrid columns="2" width="25%" cellpadding="5">
                <h:outputLabel value="#{controlCalidad.nombreActividad}:"
                               styleClass="outputLabelStyle" />
                <h:outputText value="#{controlCalidad.nombreActividadUsuario}"
                              id="ActividadTipoV-1" styleClass="outputTextStyle">
                    <f:converter converterId="converterCB" for="SolicitudTipoV-1" />
                </h:outputText>
            </h:panelGrid>

            <h:panelGrid columns="1" cellspacing="5" cellpadding="5" width="40%">

                <h:outputLabel value="Inconsistencias geográficas:"
                               styleClass="outputLabelStyle" />

                <p:dataTable id="inconsistenciasTable"
                             widgetVar="inconsistenciasTableWV"
                             value="#{controlCalidad.inconsistenciasTramite}"
                             var="inconsistencia" paginator="true" rows="5"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                             emptyMessage="No hay inconsistencias asociadas">

                    <p:column headerText="Tipo">
                        <h:outputText id="PredioTipoV" value="#{inconsistencia.tipo}" />
                    </p:column>

                    <p:column headerText="Descripción">
                        <h:outputText value="#{inconsistencia.inconsistencia}" />

                    </p:column>
                    <p:column headerText="Número predial">
                        <h:outputText value="#{inconsistencia.numeroPredial}"
                                      styleClass="outputTextStyle" />
                    </p:column>
                </p:dataTable>

            </h:panelGrid>

        </h:panelGrid>

        <h:form id="registroControlCalidadForm"
                onkeypress="return event.keyCode != 13;">

            <p:spacer height="10" />

            <p:tabView dynamic="true" id="tabViewControlCalidad">

                <p:ajax event="tabChange"
                        listener="#{controlCalidad.onTabChangeControlCalidad}"
                        update="tabViewControlCalidad, tabActualizarInconsistencias" />

                <p:tab title="Control de calidad" id="tabControlCalidad">
                    <ui:include src="../depuracion/controlCalidad.xhtml" />
                </p:tab>
                <p:tab title="Actualizar inconsistencias" 
                       id="tabActualizarInconsistencias" disabled="#{!controlCalidad.habilitarActualizarInconsistencias}">
                    <ui:include
                        src="../depuracion/actualizarInconsistenciasGeograficas.xhtml" />
                </p:tab>
            </p:tabView>

            <p:separator style="width:98%;height:3px" />

            <p:outputPanel layout="block" style="text-align:right">

                <p:commandButton value="Avanzar proceso" id="avanzarProcesoBtn"
                                 update=":registroControlCalidadForm"
                                 onclick="statusDialog2.show();"
                                 oncomplete="statusDialog2.hide();"
                                 action="#{controlCalidad.avanzarProcesoControlCalidad}" ajax="false"
                                 disabled="#{!controlCalidad.habilitarAvanzarProceso and controlCalidad.inconsistenciasTramite != null
                                             || not empty controlCalidad.inconsistenciasTramite}"
                                 icon="ui-icon-arrowthick-1-e" />

                <p:spacer width="10" />

                <p:commandButton value="Cerrar" icon="ui-icon-close"
                                 action="#{controlCalidad.cerrar}" ajax="false" immediate="true" />

                <p:spacer width="10" />

            </p:outputPanel>
            <p:spacer width="10" />
        </h:form>

        <p:dialog header="Detalle del trámite" dynamic="true"
                  widgetVar="detalleTramiteEjecutarWV" modal="false"
                  appendToBody="true" resizable="true" position="center" height="480"
                  width="960">
            <ui:include src="../ejecucion/detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
                <ui:param name="currentDetallePredioWV" value="detallePredioWV" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Detalle de la solicitud" dynamic="true"
                  widgetVar="detalleSolicitudWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include src="../ejecucion/detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
            </ui:include>
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallePredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC" />

        <!-- Dialog usado para habilitar el tab de origen del predio -->
        <predio:detallesPredioCC id="dpCC2" thisWVName="detallePredioWV2"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC2" />

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />

        <p:dialog header="error" dynamic="true" widgetVar="noDesktopWV" />
    </ui:define>
</ui:composition>
